--- title: "Download list of audit logs in csv format" slug: "download-list-of-audit-logs-in-csv-format" updated: 2025-07-21T18:55:46Z published: 2025-07-21T18:55:54Z canonical: "docs.neeve.ai/download-list-of-audit-logs-in-csv-format" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.neeve.ai/llms.txt > Use this file to discover all available pages before exploring further. # Download list of audit logs in csv format Get/api/audit/v1/logs/download SecurityHTTPType bearer Query parameterstimezonestring Apply timezone to audit logs Default"UTC"ExampleAsia/Kolkata actorstring Filter audit logs by actor. The value is username/loginname. actionarray of string Filter audit logs by action. ExampleUSER_CREATE targetTypearray of string Filter audit logs by type of target. ExampleUSER targetstring Filter audit logs by particular target. It is an objectGUID of the organization,user,device,connection,group,authdomain targetOrgIdstring Filter audit logs by target org id. orgIdstring Filter audit logs by actor org id. sortarray of string Sorting criteria in the format: field:asc|desc, field defaults to whenCreated and direction defaults to DESC. Example fields are: ['action', 'actor', 'targetType', 'whenCreated'] DefaultwhenCreated:DESCExample[ "action:asc" ] fromstring The earliest date to search in audit logs. The value should be ISO String (YYYY-MM-DDThh:mm:ssz) Example2021-11-18T10:50:35+0000 tostring The latest date to search in audit logs. The value should be ISO String (YYYY-MM-DDThh:mm:ssz) Example2021-11-18T10:50:35+0000 _fieldsstring Filter the specified fields in the audit logs csv file. Available values are: ['timestamp', 'userid', 'audittype', 'description', 'target'] siteIdstring The ID of a particular site to filter Responses200 Download list of audit logs in csv string 401 Unauthorized object error_codeinteger error_messagestring error_statusboolean 404 Not Found Expand Allobject authorizationboolean Exampletrue dataobject messagestring error_codeinteger | null error_messagestring | null error_statusboolean 500 Could not download audit logs - Internal Server Error object authorizationboolean data Array of string Example[]string error_codeinteger | null error_messagestring | null error_statusboolean